VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
WindowControllerAdapter Class Reference
Standalone Library

Window controller adapter More...

`#include <windowcontroller.h>`

Inheritance diagram for WindowControllerAdapter:

## Public Member Functions
void | onSizeChanged (const IWindow &window, const CPoint &newSize) override
| Size of window is changed. More...
void | onPositionChanged (const IWindow &window, const CPoint &newPosition) override
| Position of window is changed. More...
void | onShow (const IWindow &window) override
| Window is shown. More...
void | onHide (const IWindow &window) override
| Window is hidden. More...
void | onClosed (const IWindow &window) override
| Window is closed. More...
void | onActivated (const IWindow &window) override
| Window is activated. More...
void | onDeactivated (const IWindow &window) override
| Window is deactivated. More...
CPoint | constraintSize (const IWindow &window, const CPoint &newSize) override
| Constraint the size of the window. More...
bool | canClose (const IWindow &window) override
| Can window close? More...
void | beforeShow (IWindow &window) override
| Window will show. More...
PlatformFrameConfigPtr | createPlatformFrameConfig (PlatformType platformType) override
| Create the platform frame configuration object. More...
void | onSetContentView (IWindow &window, const SharedPointer< CFrame > &contentView) override
| Content view of window is changed. More...
const IMenuBuilder * | getWindowMenuBuilder (const IWindow &window) const override
| Get the menu builder for this window. More...
virtual CPoint | constraintSize (const IWindow &window, const CPoint &newSize)=0
| Constraint the size of the window. More...
virtual bool | canClose (const IWindow &window)=0
| Can window close? More...
virtual void | beforeShow (IWindow &window)=0
| Window will show. More...
virtual PlatformFrameConfigPtr | createPlatformFrameConfig (PlatformType platformType)=0
| Create the platform frame configuration object. More...
virtual void | onSetContentView (IWindow &window, const SharedPointer< CFrame > &contentView)=0
| Content view of window is changed. More...
virtual const IMenuBuilder * | getWindowMenuBuilder (const IWindow &window) const =0
| Get the menu builder for this window. More...
virtual void | onSizeChanged (const IWindow &window, const CPoint &newSize)=0
| Size of window is changed. More...
virtual void | onPositionChanged (const IWindow &window, const CPoint &newPosition)=0
| Position of window is changed. More...
virtual void | onShow (const IWindow &window)=0
| Window is shown. More...
virtual void | onHide (const IWindow &window)=0
| Window is hidden. More...
virtual void | onClosed (const IWindow &window)=0
| Window is closed. More...
virtual void | onActivated (const IWindow &window)=0
| Window is activated. More...
virtual void | onDeactivated (const IWindow &window)=0
| Window is deactivated. More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Detailed Description

Window controller adapter

## Member Function Documentation

## ◆ beforeShow()

void beforeShow | ( | IWindow & | window | ) |
| inline override virtual

Window will show.

Implements IWindowController.

## ◆ canClose()

bool canClose | ( | const IWindow & | window | ) |
| inline override virtual

Can window close?

Implements IWindowController.

## ◆ constraintSize()

CPoint constraintSize | ( | const IWindow & | window,
|  | const CPoint & | newSize
| ) |  |
| inline override virtual

Constraint the size of the window.

Implements IWindowController.

## ◆ createPlatformFrameConfig()

PlatformFrameConfigPtr createPlatformFrameConfig | ( | PlatformType | platformType | ) |
| inline override virtual

Create the platform frame configuration object.

Can be nullptr.

Implements IWindowController.

## ◆ getWindowMenuBuilder()

const IMenuBuilder * getWindowMenuBuilder | ( | const IWindow & | window | ) | const
| inline override virtual

Get the menu builder for this window.

Implements IWindowController.

## ◆ onActivated()

void onActivated | ( | const IWindow & | window | ) |
| inline override virtual

Window is activated.

Implements IWindowListener.

## ◆ onClosed()

void onClosed | ( | const IWindow & | window | ) |
| inline override virtual

Window is closed.

Implements IWindowListener.

## ◆ onDeactivated()

void onDeactivated | ( | const IWindow & | window | ) |
| inline override virtual

Window is deactivated.

Implements IWindowListener.

## ◆ onHide()

void onHide | ( | const IWindow & | window | ) |
| inline override virtual

Window is hidden.

Implements IWindowListener.

## ◆ onPositionChanged()

void onPositionChanged | ( | const IWindow & | window,
|  | const CPoint & | newPosition
| ) |  |
| inline override virtual

Position of window is changed.

Implements IWindowListener.

## ◆ onSetContentView()

void onSetContentView | ( | IWindow & | window,
|  | const SharedPointer< CFrame > & | contentView
| ) |  |
| inline override virtual

Content view of window is changed.

Implements IWindowController.

## ◆ onShow()

void onShow | ( | const IWindow & | window | ) |
| inline override virtual

Window is shown.

Implements IWindowListener.

## ◆ onSizeChanged()

void onSizeChanged | ( | const IWindow & | window,
|  | const CPoint & | newSize
| ) |  |
| inline override virtual

Size of window is changed.

Implements IWindowListener.

The documentation for this class was generated from the following file:

- windowcontroller.h